<?php
/*
 * Author: Huy Nguyen
 * Filename: forum.functions.inc.php
 * Created time: Apr 24, 2008 7:57:50 AM
 *
 * TODO: ...
 */

function check_access($lockkey,$redirect=""){
 global $links;

  if (!$lockkey and !$_SESSION['user_info']['uid']) forum_redirect("index.php?a=".$links['login'],$redirect); // forum viewing is allowed only for logged users
}

function forum_redirect($url,$red=""){

  $url = html_entity_decode(convert_to_url($url));
  if ($red) {
      $_SESSION['redirect'] = $red;
  }else{
     unset($_SESSION['redirect']);
  }

  header ("Location: ".$url);
  die;
}

function convert_date($arr,$key,$dkey){ //admin panel

  global $date_format2,$users;

  if ($arr[$dkey]){
       $users[$key][$dkey] = date($date_format2,$arr[$dkey]);
  }else{
       $users[$key][$dkey] = "";
  }
}

function user_logout(){

 global $links;
     unset ($_SESSION['user_info']);
     setcookie ("session_vars","",time()-3600);
     forum_redirect("index.php?a=".$links['forum']);
}

function avatar_type ($arr){

 global $forum_avatar,$theme;

    if (!$forum_avatar) { // avatars disabled
        $arr['uavatar'] ="";
    }elseif (!$arr['uname']){

        $arr['uavatar'] = HOST_PATH."tpl/".$theme."/img/guest.gif";

    }elseif ($arr['uavatar'] == "upl".$arr['uid']){ // uploaded avatar
     $arr['uavatar'] = HOST_PATH.FORUM_UAVATARS.md5($arr['uid']).".gif";

    }elseif($arr['uavatar']){ // avatar from gallery
     $arr['uavatar'] = HOST_PATH.FORUM_AVATARS.$arr['uavatar'];
    }

 return $arr['uavatar'];

}

function get_topic_by_postid($arr){

 global $my,$date_format3,$user;

   $arr['topic']= $my->get_line ("select * from ".TBL_PF."frm_topics where tid='".$arr['tid']."' limit 1");

   $arr['topic']['tdate'] = date($date_format3,correct_time_zone($arr['topic']['tdate'],false));
   $arr['pdate'] = date($date_format3,correct_time_zone($arr['pdate'],false));

   if (!$user){
      $arr['user']= $my->get_line ("select uid,uname from ".TBL_PF."users where uid='".$arr['uid']."' limit 1");
   }

   $arr['forum'] = $my->get_line("select fid,fname,fstatus from ".TBL_PF."frm_forums where fid='".$arr['topic']['fid']."'");
   return $arr;
}

/* */
function forum_nav_link($forum){ // navigation links array ....

 global $my,$links;

        if ($forum['fid']){ // havigation link

           $fcname = $my->get_line ("select fcname from ".TBL_PF."frm_cats where fcid='".$forum['fcid']."' limit 1","k");
           if ($fcname) {
               $nav_link[++$xx]['link'] = convert_to_url("index.php?a=".$links['forum']."&c=".$forum['fcid']);
               $nav_link[$xx]['name'] = $fcname;
           }
           $nav_link[++$xx]['name'] = $forum['fname'];
           $nav_link[+$xx]['link'] = convert_to_url("index.php?a=".$links['viewforum']."&f=".$forum['fid']);
        }
  return $nav_link;
}

function delete_post($pid,$auth=true){ // $auth - enabled/disabled auser authorization for post delete ... disabled for admin panel

  global $my,$links,$priv;

  $post = $my->get_line ("select fid,pid,tid,uid,ufile from ".TBL_PF."frm_posts where pid='$pid' limit 1");

  if ((!$post['pid'] or !$post['uid']) and $auth and !@in_array("fo",$_SESSION['user_info']['priv'])) forum_redirect("index.php?a=".$links['forum']); // if wrong post ID selected

  // check user authorization
  if ($auth and $_SESSION['user_info']['uid'] !=$post['uid'] and !@in_array($priv['forum'],$_SESSION['user_info']['priv'])) {

       forum_redirect("index.php?a=".$link['login'],"index.php?a=".$links['topic']."&tid=".$post['tid']);
  }

  $first_post_id = $my->get_line("select min(pid) from ".TBL_PF."frm_posts where tid='".$post['tid']."'","k");

  if ($first_post_id == $pid){ // remove topic with all posts if first post selected to remove

  #commented: dont' allow to remove first post from topic ..
  #     delete_topic ($post['tid']);
    if ($auth) forum_redirect("index.php?a=".$links['viewforum']."&f=".$post['fid']); // go back to forum

  }else{  // remove selected post only

     delete_post_files($post);
     $my->my_query ("delete from ".TBL_PF."frm_posts where pid='$pid'");

     update_topic($post['tid']);
     update_forum($post['fid']);

    if ($auth) forum_redirect("index.php?a=".$links['topic']."&t=".$post['tid']); // go back to topic
  }
}

function delete_topic($tid){ // remove selected topic

  global $my;

   $fid = $my->get_line ("select fid from ".TBL_PF."frm_topics where tid='$tid' limit 1","k");

   $posts = $my->get_array("select pid,ufile from ".TBL_PF."frm_posts where tid='$tid'");
   $posts = array_map("delete_post_files",$posts);

   $my->my_query("delete from ".TBL_PF."frm_posts where tid='$tid'");
   $my->my_query("delete from ".TBL_PF."frm_topics where tid='$tid'");

   update_forum ($fid);

   return $fid;
}
function delete_post_files($arr){

  // remove post picture
  $ext = check_image($arr['pid'],"",1,false,FORUM_UPICTURES);
  if ($ext) unlink ($ext);

  // remove attached file
  if ($arr['ufile']){

      $at_file =  CORE_ROOT.FORUM_UFILES.md5($arr['pid']).".ufile";
      file_exists($at_file) ? unlink($at_file):"";
  }
}

function delete_forum($fid){

 global $my;

   $posts = $my->get_array("select pid,ufile from ".TBL_PF."frm_posts where fid='$fid'");
   $posts = array_map("delete_post_files",$posts);

   $my->my_query("delete from ".TBL_PF."frm_posts where fid='$fid'");
   $my->my_query("delete from ".TBL_PF."frm_topics where fid='$fid'");
   $my->my_query("delete from ".TBL_PF."frm_forums where fid='$fid'");

}

function update_topic($tid){ // update topics parameters ....

 global $my;

//echo "<hr color=#FF0000>";

     $last_post = $my->get_line("select * from ".TBL_PF."frm_posts where tid='$tid' order by pdate desc limit 1"); // last post for selected topic
     $post_cnt = $my->get_line ("select count(pid) from ".TBL_PF."frm_posts where tid='$tid'","k");


     $my->my_query ("update ".TBL_PF."frm_topics set
                               replies='".--$post_cnt."',
                               lastpostuid='".$last_post['uid']."',
                               lastposttime ='".$last_post['pdate']."',
                               lastpost ='".$last_post['pid']."'
                      where tid='$tid'
                     ");

}

function update_forum ($fid){

 global $my;

//12
//echo "$fid<hr color=#FF0000>";

   $last_topic = $my->get_line("select tid from ".TBL_PF."frm_topics where fid='$fid' order by lastposttime desc limit 1","k");

// 40
//echo "$last_topic<hr color=#FF0000>";

   $topic_cnt = $my->get_line("select count(tid) from ".TBL_PF."frm_topics where fid='$fid' and tstatus !='d' ","k"); // instead disabled topics

   $d_tids = " and tid !='".join("' and tid !='",get_disabled_topics($fid))."' ";// exclude disabled topics
   $post_cnt = $my->get_line ("select count(pid) from ".TBL_PF."frm_posts where fid='$fid' $d_tid","k");

   $my->my_query ("update ".TBL_PF."frm_forums set
                        posts='$post_cnt',
                        topics='$topic_cnt',
                        lasttopic='$last_topic'
                      where fid='$fid'
                     ");

   #--> update_users();
}
/*
function update_users(){

 global $my;

   $d_tids = " and tid !='".join("' and tid !='",get_disabled_topics())."' ";// exclude disabled topics
   $d_fids = " and fid !='".join("' and fid !='",get_disabled_forums())."' "; // exclude disabled forums ...

   $my->my_query("update ".TBL_PF."users set uposts='0'");
   $u_posts = $my->get_array("select uid,count(pid) as cnt from ".TBL_PF."frm_posts where uid !='0' $d_tids $d_fids group by uid");

   foreach ($u_posts as $value){
       $my->my_query ("update ".TBL_PF."users set uposts ='".$value['cnt']."' where uid='".$value['uid']."'");
   }
}
*/
function check_user_rank($uid){

 global $my;

   $user = $my->get_line ("select uid,uposts,urankid from ".TBL_PF."users where uid='$uid' limit 1");

   // check is special rank for selected user is installed
   if ($user['urankid']) $rank = $my->get_line ("select rspecial from ".TBL_PF."frm_ranks where rid='".$user['urankid']."' limit 1");

   // check user rank ... if special rank is not installed
   if (!$rank['rspecial']) $new_rank = $my->get_line ("select rid from ".TBL_PF."frm_ranks where rspecial !='1' and rmin <=".$user['uposts']." order by rmin desc limit 1");
   if ($new_rank['rid'] and $new_rank['rid'] != $user['urankid']) $my->my_query("update ".TBL_PF."users set urankid='".$new_rank['rid']."' where uid ='$uid'");
}

function get_disabled_topics($fid=""){

 global $my;

   if ($fid) $w_clause = " and fid ='$fid' ";
    $disabled_topics = $my->get_array ("select tid from ".TBL_PF."frm_topics where tstatus ='d' $w_clause ","x"); // disabled topics

   return $disabled_topics;
}
function get_disabled_forums(){

 global $my;

    $disabled_forums = $my->get_array ("select fid from ".TBL_PF."frm_forums where fstatus ='d'","x"); // disabled forums
   return $disabled_forums;
}

function get_post_list($w_clause,$limit_from,$limit_to){

   global $my;

   if ($w_clause) $w_clause = "where ".$w_clause;

   $posts = $my->get_array("select * from ".TBL_PF."frm_posts $w_clause order by pdate asc limit $limit_from,$limit_to");
   $posts = array_map("get_posts_params",$posts);

   return $posts;
}


function get_posts_params($arr){

  global $my,$date_format2,$date_format3,$symbols_per_word;

   $arr['author'] = get_user_info ($arr['uid'],"*");
   $arr['pdate'] = date ($date_format3,correct_time_zone($arr['pdate'],false));
   $arr['author']['uregdate'] = date ($date_format2,correct_time_zone($arr['author']['uregdate'],false));
   $arr['author']['uavatar'] = avatar_type($arr['author']);
//get_post_list

   $arr['pcontent'] = replace_br(check_long_words($arr['pcontent']));

  return $arr;
}
function check_long_words($string){

 global $symbols_per_word;

    preg_match ("/(?:\<img)([^\>]*)/",$string,$m);

    $string = preg_replace_callback("/(?<=^|\s)[^\s]{".$symbols_per_word.",}(?=\s|$)/","checkwords_fuck",strip_tags($string));

    $string = ($m[0]?$m[0]."><br />":"").$string;
    return $string;
}

function checkwords_fuck($x){

 global $symbols_per_word;

   $x = wordwrap($x[0],$symbols_per_word,"<br />",true);
   return $x;
}

function get_topic_list($w_clause,$limit_from,$limit_to){

   global $my;

   if ($w_clause) $w_clause = "where ".$w_clause;
   $topics = $my->get_array("select * from ".TBL_PF."frm_topics $w_clause order by tdate desc limit $limit_from,$limit_to");
   $topics = array_map("get_topics_params",$topics);

   return $topics;
}

function get_topics_params($arr){

  global $my,$date_format3, $rq;

   if ($arr['topicuid']) $arr['author'] = get_user_info ($arr['topicuid'],"uid,uname");

   $first_post_id = $my->get_line("select min(pid) from ".TBL_PF."frm_posts where tid='".$arr['tid']."'","k");

   if ($arr['lastpost'] != $first_post_id){

     $arr['lpost']['date'] = date ($date_format3,correct_time_zone($arr['lastposttime'],false));
     $arr['lpost']['user'] = get_user_info ($arr['lastpostuid'],"uid,uname");
   }
     $arr['status'] = get_status($arr['lastposttime'],$arr['tstatus'],$arr['tid'], $rq['alltopics']);

  return $arr;
}

function get_forum_list($fcid=""){

  global $my;

  $flist = get_f_cats($fcid,"",true); // forum categories

/*  if ($fcid ==""){ // add forums without categories
    $no_cats['fcid'] = 0;
    array_unshift ($flist,$no_cats);
  }*/

  $flist = array_map("get_forums_c",$flist);

  return $flist;
}

function get_forums_c($arr){ // get list of forums for selected category

  global $my;

   $fcid =  is_array($arr) ? $arr['fcid']: $arr ;
   if (defined("FORUM_ACTIVE")) $w_clause = "and fstatus !='d'";

   $arr['forum'] = $my->get_array_a ("select * from ".TBL_PF."frm_forums where fcid ='$fcid' $w_clause order by position asc");

   if (defined("FORUM_LAST_POST")) $arr['forum'] = array_map("forum_last_post",$arr['forum']);

   return $arr;
}

function get_f_cats ($fcid="",$excl="",$no_zero = false){ //get forum categories ... or selected category $fcid ... and exclude $excl=array() categories

 global $my;

  if ($fcid) $w[] = "fcid ='$fcid'"; // select only requested category
  if ($excl) $w[] = " fcid!='$excl'";
  if ($w) $w_clause = "where ".join (" and ",$w);

  $cats = $my->get_array_a("select * from ".TBL_PF."frm_cats $w_clause order by position asc");
  if ($fcid and !$no_zero) $cats = $cats[0];

  return $cats;
}


function get_status ($post_time,$status,$tid,$exclude=false){


   if ($status =="l") $new_status = "lock";
   if (!is_array($_SESSION['user_info']['visited'])) $_SESSION['user_info']['visited'] = array();

   if (!in_array($tid,$_SESSION['user_info']['visited']) and $_SESSION['user_info']['ulastvisit'] < $post_time and $_SESSION['user_info']['ulastvisit']){

      if ($exclude) {
          $_SESSION['user_info']['visited'][]=$tid;
      }else{
        $new_status .="new";
      }
   }
   return $new_status;
}

function get_user_info($uid,$key=""){

 global $my;

  if (!$key) $keys = "*";
  $u_info = $my->get_line ("select $key from ".TBL_PF."users where uid='$uid' limit 1");
  if ($u_info['urankid']) $u_info['rank'] = get_user_rank($u_info['urankid']);

  return $u_info;
}
function get_user_rank($uid){

 global $my;

  $rank = $my->get_line("select rtitle from ".TBL_PF."frm_ranks where rid='$uid'","k");
  return $rank;

}
function forum_last_post($arr){ // get information about last post for selected topic

 global $my,$date_format3;

  $arr['lastpost'] = $my->get_line("select lastpost,lastposttime,lastpostuid,tname,tid  from ".TBL_PF."frm_topics where tid='".$arr['lasttopic']."'  order by lastposttime desc limit 1");

  $arr['lastpost']['date'] = date ($date_format3,correct_time_zone($arr['lastpost']['lastposttime'],false));
  $arr['lastpost']['user'] = get_user_info ($arr['lastpost']['lastpostuid'],"uid,uname");

  $arr['status'] = get_status($arr['lastpost']['lastposttime'],$arr['fstatus'],$arr['lasttopic']);

  return $arr;
}

/* **************************************************** */

function get_f_forums ($fid="",$excl="",$cid=""){ //get list of  forums ... or selected category $fcid ... and exclude $excl=array() categories

 global $my;

  if ($fid) $w[] = "fid ='$fid'"; // select only requested category
  if ($excl) $w[] = " fid!='$excl'";
  if ($w) $w_clause = "where ".join (" and ",$w);

  $forums = $my->get_array_a("select * from ".TBL_PF."frm_forums $w_clause order by position asc");

  if ($fid) $forums = $forums[0];

  return $forums;
}

function check_bad_words ($string){

 global $forum_badsymbols,$my;

   $badwords = $my->get_array("select bword from ".TBL_PF."frm_badwords","x");
   $string = str_replace($badwords,$forum_badsymbols,$string);

   return $string;
}

function upload_forum_image($imgid){

 global $my,$forum_image_width,$forum_image_height;

    $imageinfo = getimagesize($_FILES['uimage']['tmp_name']);
    if ($imageinfo[2] == 1 or $imageinfo[2] == 2  or $imageinfo[2] == 3){ // GIF, JPG, PNG - only allowed
         $image = get_image ($_FILES['uimage']['tmp_name'],$imageinfo[2]);

    //  image_resize($img, $maxw,$maxh)
         if ($imageinfo[0]>$forum_image_width) $image['stream'] = image_resize($image['stream'],$forum_image_width,0); // resize width
         if ($imageinfo[1]>$forum_image_height) $image['stream'] = image_resize($image['stream'],0,$forum_image_height); // resize height

         $image_name = md5($imgid);
         save_image($image['stream'],CORE_ROOT.FORUM_UPICTURES.$image_name,$image['ext']); // save

         $img_path = HOST_PATH.FORUM_UPICTURES.$image_name.".".$image['ext'];
    }

    return $img_path;
}

function get_privmess_params($arr){

 global $my,$date_format3;

  $arr['uname'] = $my->get_line("select uname from ".TBL_PF."users where uid='".$arr['user']."' limit 1","k");
  $arr['pmdate'] =  date ($date_format3,correct_time_zone($arr['pmdate'],false));

  return $arr;
}

/* ************************************* FORUM MODS ******************************/

function get_forum_statistics(){

 global $my;

        $arr['topics'] = $my->get_line("select count(tid) from ".TBL_PF."frm_topics","k");
        $arr['posts'] = $my->get_line("select count(pid) from ".TBL_PF."frm_posts","k");
        $arr['users'] = $my->get_line("select count(uid) from ".TBL_PF."users","k");
        $arr['newuser'] = $my->get_line("select uid,uname from ".TBL_PF."users order by uid desc limit 1");

        return $arr;
}

?>
