
--
-- Table structure for table `psc_categories`
--

DROP TABLE IF EXISTS psc_categories;
DROP SEQUENCE IF EXISTS psc_categories_seq;
CREATE SEQUENCE psc_categories_seq;
CREATE TABLE psc_categories (
  cid INT NOT NULL DEFAULT nextval('psc_categories_seq'),
  cname VARCHAR(255) NOT NULL default '',
  PRIMARY KEY (cid)
);

--
-- Dumping data for table `psc_categories`
--

INSERT INTO psc_categories (cid, cname) VALUES
(nextval('psc_categories_seq'), 'Latest news'),
(nextval('psc_categories_seq'), 'Uncatogorized');

-- --------------------------------------------------------

--
-- Table structure for table `psc_dwn_categories`
--

DROP TABLE IF EXISTS psc_dwn_categories;
DROP SEQUENCE IF EXISTS psc_dwn_categories_seq;
CREATE SEQUENCE psc_dwn_categories_seq;
CREATE TABLE psc_dwn_categories (
  cid INT NOT NULL DEFAULT nextval('psc_dwn_categories_seq'),
  cname varchar(255) NOT NULL default '',
  parentid INT NOT NULL default '0',
  cdescription text NOT NULL,
  PRIMARY KEY  (cid)
);

--
-- Dumping data for table `psc_dwn_categories`
--


-- --------------------------------------------------------

--
-- Table structure for table `psc_dwn_downloads`
--

DROP TABLE IF EXISTS psc_dwn_downloads;
DROP SEQUENCE IF EXISTS psc_dwn_downloads_seq;
CREATE SEQUENCE psc_dwn_downloads_seq;
CREATE TABLE psc_dwn_downloads (
  did INT NOT NULL default nextval('psc_dwn_downloads_seq'),
  cid INT NOT NULL default '0',
  dname varchar(255) NOT NULL default '',
  dlink varchar(255) NOT NULL default '',
  dfile varchar(50) NOT NULL default '',
  ddescription text NOT NULL,
  dauthor varchar(100) NOT NULL default '',
  dsize INT NOT NULL default '0',
  ddate INT NOT NULL default '0',
  dbroken INT NOT NULL default '0',
  ddownloaded INT NOT NULL default '0',
  PRIMARY KEY  (did)
);

--
-- Dumping data for table `psc_dwn_downloads`
--


-- --------------------------------------------------------

--
-- Table structure for table `psc_friendship`
--

DROP TABLE IF EXISTS psc_friendship;
DROP SEQUENCE IF EXISTS psc_friendship_seq;
CREATE SEQUENCE psc_friendship_seq;
CREATE TABLE psc_friendship (
  fid INT NOT NULL DEFAULT nextval('psc_friendship_seq'),
  u1id INT NOT NULL,
  u2id INT NOT NULL,
  fdate INT NOT NULL,
  PRIMARY KEY  (fid)
);

--
-- Dumping data for table psc_friendship
--

INSERT INTO psc_friendship (fid, u1id, u2id, fdate) VALUES
(nextval('psc_friendship_seq'), 1, 4, 1209055439),
(nextval('psc_friendship_seq'), 1, 6, 1212932435),
(nextval('psc_friendship_seq'), 1, 5, 1212932435),
(nextval('psc_friendship_seq'), 1, 7, 1212932435),
(nextval('psc_friendship_seq'), 1, 2, 12344124),
(nextval('psc_friendship_seq'), 2, 1, 1209055439),
(nextval('psc_friendship_seq'), 4, 1, 1209055439),
(nextval('psc_friendship_seq'), 5, 1, 1209055439),
(nextval('psc_friendship_seq'), 6, 1, 1209055439),
(nextval('psc_friendship_seq'), 7, 1, 1209055439),
(nextval('psc_friendship_seq'), 3, 4, 1209055439),
(nextval('psc_friendship_seq'), 3, 8, 1209055439),
(nextval('psc_friendship_seq'), 3, 7, 1209055439),
(nextval('psc_friendship_seq'), 4, 3, 1209055439),
(nextval('psc_friendship_seq'), 8, 3, 1209055439),
(nextval('psc_friendship_seq'), 7, 3, 1209055439);

-- --------------------------------------------------------

--
-- Table structure for table psc_friend_req
--

DROP TABLE IF EXISTS psc_friend_req;
DROP SEQUENCE IF EXISTS psc_friend_req_seq;
CREATE SEQUENCE psc_friend_req_seq;
CREATE TABLE psc_friend_req (
  rid INT NOT NULL DEFAULT nextval('psc_friend_req_seq'),
  uid INT NOT NULL,
  ruid INT NOT NULL,
  rdate INT NOT NULL,
  rstatus SMALLINT NOT NULL default '0',
  PRIMARY KEY  (rid)
);

--
-- Dumping data for table psc_friend_req
--

INSERT INTO psc_friend_req (rid, uid, ruid, rdate, rstatus) VALUES
(nextval('psc_friend_req_seq'), 8, 1, 1212920308, 0),
(nextval('psc_friend_req_seq'), 8, 1, 1212920326, 0),
(nextval('psc_friend_req_seq'), 3, 1, 1212920388, 2),
(nextval('psc_friend_req_seq'), 3, 1, 1212920434, 1),
(nextval('psc_friend_req_seq'), 3, 1, 1212920439, 1),
(nextval('psc_friend_req_seq'), 7, 1, 1212920650, 2),
(nextval('psc_friend_req_seq'), 8, 1, 1212920704, 0),
(nextval('psc_friend_req_seq'), 8, 1, 1212920739, 0),
(nextval('psc_friend_req_seq'), 7, 3, 1212932863, 1);

-- --------------------------------------------------------

--
-- Table structure for table `psc_frm_cats`
--

DROP TABLE IF EXISTS psc_frm_cats;
DROP SEQUENCE IF EXISTS psc_frm_cats_seq;
CREATE SEQUENCE psc_frm_cats_seq;
CREATE TABLE psc_frm_cats (
  fcid INT NOT NULL default nextval('psc_frm_cats_seq'),
  fcname varchar(50) NOT NULL default '',
  position INT NOT NULL default '0',
  PRIMARY KEY  (fcid)
);

--
-- Dumping data for table psc_frm_cats
--

INSERT INTO psc_frm_cats (fcid, fcname, position) VALUES
(nextval('psc_frm_cats_seq'), 'new forum cat', 1),
(nextval('psc_frm_cats_seq'), 'aa bb', 2);

-- --------------------------------------------------------

--
-- Table structure for table psc_frm_forums
--

DROP TABLE IF EXISTS psc_frm_forums;
DROP SEQUENCE IF EXISTS psc_frm_forums_seq;
CREATE SEQUENCE psc_frm_forums_seq;
CREATE TABLE psc_frm_forums (
  fid INT NOT NULL default nextval('psc_frm_forums_seq'),
  fcid INT NOT NULL default '0',
  fname varchar(255) NOT NULL default '',
  fdesc text NOT NULL default '',
  topics INT NOT NULL default '0',
  posts INT NOT NULL default '0',
  lasttopic INT NOT NULL default '0',
  position INT NOT NULL default '0',
  fstatus varchar(1) check (fstatus in ('d','e','l')) NOT NULL default 'e',
  fpublic smallint check (fpublic in ('1','0')) NOT NULL default '1',
  PRIMARY KEY  (fid)
);

--
-- Dumping data for table psc_frm_forums
--

INSERT INTO psc_frm_forums (fid, fcid, fname, fdesc, topics, posts, lasttopic, position, fstatus, fpublic) VALUES
(nextval('psc_frm_forums_seq'), 1, 'new forum', 'asdadadasdas', 2, 27, 2, 1, 'e', '1'),
(nextval('psc_frm_forums_seq'), 1, 'aaa', 'aaa', 0, 0, 0, 2, 'e', '1'),
(nextval('psc_frm_forums_seq'), 1, 'testing', 'fsdfsdf', 0, 0, 0, 3, 'e', '1'),
(nextval('psc_frm_forums_seq'), 2, 'aa bb 2222', 'nothing to say', 0, 0, 0, 4, 'e', '1');

-- --------------------------------------------------------

--
-- Table structure for table psc_frm_posts
--

DROP TABLE IF EXISTS psc_frm_posts;
DROP SEQUENCE IF EXISTS psc_frm_posts_seq;
CREATE SEQUENCE psc_frm_posts_seq;
CREATE TABLE psc_frm_posts (
  pid INT NOT NULL default nextval('psc_frm_posts_seq'),
  tid INT NOT NULL default '0',
  fid INT NOT NULL default '0',
  pcontent text NOT NULL default '',
  uid INT NOT NULL default '0',
  pdate INT NOT NULL default '0',
  ipaddr varchar(15) NOT NULL default '',
  ufile varchar(50) NOT NULL default '',
  PRIMARY KEY  (pid)
);

--
-- Dumping data for table psc_frm_posts
--

INSERT INTO psc_frm_posts (pid, tid, fid, pcontent, uid, pdate, ipaddr, ufile) VALUES
(nextval('psc_frm_posts_seq'), 1, 1, '***', 1, 1208956089, '127.0.0.1', ''),
(nextval('psc_frm_posts_seq'), 1, 1, 'wqqweqwe', 1, 1208956101, '127.0.0.1', ''),
(nextval('psc_frm_posts_seq'), 2, 1, 'sfsfsdfsdf', 1, 1213002742, '127.0.0.1', ''),
(nextval('psc_frm_posts_seq'), 2, 1, '<img src="http://localhost/Portal/pics/forum_upictures/a87ff679a2f3e71d9181a67b7542122c.gif" alt="" /><br />aaaaaaaaaaaaaaaaaaaaa', 1, 1213002775, '127.0.0.1', 'quad.gif'),
(nextval('psc_frm_posts_seq'), 1, 1, 'gjgjghj', 1, 1213071166, '168.131.152.125', ''),
(nextval('psc_frm_posts_seq'), 1, 1, 'hehh', 1, 1213071172, '168.131.152.125', ''),
(nextval('psc_frm_posts_seq'), 2, 1, 'testing testing ', 7, 1213071270, '168.131.152.125', ''),
(nextval('psc_frm_posts_seq'), 2, 1, 'second post here', 7, 1213071280, '168.131.152.125', ''),
(nextval('psc_frm_posts_seq'), 2, 1, 'rtyrtyrty', 7, 1213071569, '168.131.152.125', ''),
(nextval('psc_frm_posts_seq'), 2, 1, '<p><em><span style="text-decoration: underline;"><strong>lalalalala</strong></span></em></p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>adasdasdaas<img title="Cry" src="tiny_mce/plugins/emotions/img/smiley-cry.gif" border="0" alt="Cry" /></p>', 7, 1213073552, '168.131.152.125', ''),
(nextval('psc_frm_posts_seq'), 2, 1, '<p>adasdasda</p>', 7, 1213076764, '168.131.152.125', ''),
(nextval('psc_frm_posts_seq'), 2, 1, '<p>asdasd</p>', 7, 1213076841, '168.131.152.125', ''),
(nextval('psc_frm_posts_seq'), 3, 1, '<p>dasdasdasd</p>', 7, 1213076882, '168.131.152.125', ''),
(nextval('psc_frm_posts_seq'), 3, 1, '&lt;pre&gt;내게 맞는 은행상품&lt;/pre&gt;', 7, 1213078085, '168.131.152.125', ''),
(nextval('psc_frm_posts_seq'), 3, 1, '&lt;p&gt;&lt;span style=&quot;font-size: medium;&quot;&gt;(이/가, 은,는, 을/를, 까지, 에, 에서, 로/으)&lt;/span&gt;&lt;/p&gt;', 7, 1213078147, '168.131.152.125', ''),
(nextval('psc_frm_posts_seq'), 3, 1, '&lt;p&gt;asdadadsa&lt;/p&gt;
&lt;p&gt;&amp;nbsp;&lt;/p&gt;', 7, 1213078489, '168.131.152.125', ''),
(nextval('psc_frm_posts_seq'), 4, 1, '<p><img title="new iPhone" src="http://techdigest.tv/apple-iphone-in-hand-thumb.jpg" alt="New iPhone" width="449" height="509" /></p>
<h1>Yo man, try the new iPhone<br /></h1>', 7, 1213087360, '168.131.152.125', ''),
(nextval('psc_frm_posts_seq'), 4, 1, '&lt;h2&gt;haha, Nokia N95 is way better than iPhone&lt;/h2&gt;', 7, 1213087412, '168.131.152.125', '');

-- --------------------------------------------------------

--
-- Table structure for table psc_frm_topics
--

DROP TABLE IF EXISTS psc_frm_topics;
DROP SEQUENCE IF EXISTS psc_frm_topics_seq;
CREATE SEQUENCE psc_frm_topics_seq;
CREATE TABLE psc_frm_topics (
  tid INT NOT NULL default nextval('psc_frm_topics_seq'),
  fid INT NOT NULL default '0',
  tname varchar(60) NOT NULL default '',
  tdate INT NOT NULL default '0',
  ipaddr varchar(15) NOT NULL default '',
  replies INT NOT NULL default '0',
  views INT NOT NULL default '0',
  lastpostuid INT NOT NULL default '0',
  lastposttime INT NOT NULL default '0',
  firstpost INT NOT NULL default '0',
  lastpost INT NOT NULL default '0',
  tstatus varchar(1) check (tstatus in ('d','e','l')) NOT NULL default 'e',
  topicuid INT NOT NULL default '0',
  PRIMARY KEY  (tid)
);

--
-- Dumping data for table psc_frm_topics
--

INSERT INTO psc_frm_topics (tid, fid, tname, tdate, ipaddr, replies, views, lastpostuid, lastposttime, firstpost, lastpost, tstatus, topicuid) VALUES
(nextval('psc_frm_topics_seq'), 1, 'This is a new topic', 1208956089, '168.131.152.125', 3, 13, 1, 1213071172, 1, 2, 'e', 1),
(nextval('psc_frm_topics_seq'), 1, 'test topic', 1213002742, '168.131.152.125', 5, 17, 7, 1213073552, 3, 2, 'e', 1),
(nextval('psc_frm_topics_seq'), 1, 'asdasda', 1213076882, '168.131.152.125', 12, 15, 7, 1213078489, 13, 3, 'e', 7),
(nextval('psc_frm_topics_seq'), 1, 'test topic2 ', 1213087360, '168.131.152.125', 1, 2, 7, 1213087412, 17, 4, 'e', 7);

-- --------------------------------------------------------

--
-- Table structure for table psc_news
--

DROP TABLE IF EXISTS psc_news;
DROP SEQUENCE IF EXISTS psc_news_seq;
CREATE SEQUENCE psc_news_seq;
CREATE TABLE psc_news (
  nid INT NOT NULL default nextval('psc_news_seq'),
  title varchar(255) NOT NULL default '',
  shorttext text NOT NULL default '',
  contents text NOT NULL default '',
  postdate INT NOT NULL default '0',
  active smallint check (active in ('1','0')) NOT NULL default '1',
  cid INT NOT NULL default '0',
  PRIMARY KEY  (nid)
);

--
-- Dumping data for table psc_news
--

INSERT INTO psc_news (nid, title, shorttext, contents, postdate, active, cid) VALUES
(nextval('psc_news_seq'), 'Stick to the Code!', 'To ensure this code release, Wilco Jansen resorted to sending rum to joint lead-developer Johan Janssens. Johan, who had a penchant for rum ever since the first "Pirates of the Caribbean" movie screened, took the bait, mixed it with Cola, and here we are with our latest 1.5 release. It looks like pirate talk will figure quite a lot in future Joomla! development!', '<b>Translation for you real pirates:</b>

First Mate Wilco resorted t sendin rum t joint Captn Johan. Johan, whos had a penchant for rum ever since t first "Pirates o t Caribbean" movie screened, took t bait, mixed it with molasses, and here we be with our latest 1.5 release. It looks like pirate talk will figure quite a lot in future Joomla! development!', 1209054745, '1', 1),
(nextval('psc_news_seq'), 'We are Volunteers', 'The Joomla! Core Team consists of volunteer developers, designers, administrators and managers who, together with a large range of Work Groups of dedicated community members have taken Joomla! to new heights in its relatively short life. This well-oiled machine is often copied but never surpassed. Joomla! has some wonderfully talented people taking Open Source concepts to the forefront of industry standards. Joomla! 1.5 is a major leap forward and represents the most exciting Joomla! release in the history of the project.', 'The project has a nice balance of legacy development from well-known coders such as Andrew Eddie (who pioneered Mambos early success) to some young guns like Johan Janssens and Louis Landry. This dynamic trio has been further strengthening the project by bringing in new talent. In open source development people joke about the "bus" factor. Projects which dont have coding "spread" are considered less sound should their single lead developer get hit by a bus.', 1209308052, '0', 1),
(nextval('psc_news_seq'), 'Only one edit window! How do I create "Read more..."?', 'This is now implemented by inserting a Read more... tag (the button is located below the editor area) a dotted line appears in the edited text showing the split location for the Read more.... A new Plugin takes care of the rest.', 'It is worth mentioning that this does not have a negative effect on migrated data from older sites. The new implementation is fully backward compatible.', 1209055439, '0', 2),
(nextval('psc_news_seq'), ' Computex 2008 - The Guru3D report', 'Computex 2008

Last week Guru3D traveled toward Taiwan to attend one of the bigger computer exhibitions on this globe, the yearly Computex 2008. We wrote a series of articles loaded with photos from that event. Definitely worth your while checking out.', '<P class=mceVisualAid>Computex 2008 installments:</P>
<LI fErG1="0"><A class="review mceVisualAid" href="http://www.guru3d.com/article/computex-2008-preshow-impressions/" fErG1="0">Computex 2008: Pre-show impressions</A><SPAN class=mceVisualAid> </SPAN></LI>
<LI fErG1="0"><A class="review mceVisualAid" href="http://www.guru3d.com/article/computex-2008--day-1--the-festivities-begin/" fErG1="0">Computex 2008: Day 1 - the festivities begin</A><SPAN class=mceVisualAid> </SPAN></LI>
<LI fErG1="0"><A class="review mceVisualAid" href="http://www.guru3d.com/article/computex-2008-day-2--moving-onwards/" fErG1="0">Computex 2008: Day 2 - Moving onwards</A><SPAN class=mceVisualAid> </SPAN></LI>
<LI fErG1="0"><A class="review mceVisualAid" href="http://www.guru3d.com/article/computex-2008-day-3--the-man-with-hammer/" fErG1="0">Computex 2008: Day 3 - The man with the hammer</A><SPAN class=mceVisualAid> </SPAN></LI>

<LI fErG1="0"><A class="review mceVisualAid" href="http://www.guru3d.com/article/computex-2008-day-4--closer-to-the-end/" fErG1="0">Computex 2008: Day 4 - Closer to the end</A><SPAN class=mceVisualAid> </SPAN></LI>
<LI fErG1="0"><A class=mceVisualAid href="http://www.guru3d.com/article/computex-2008-day-5--the-booth-babes-of-computex/">Computex 2008: Day 5 - The Booth Babes of Computex</A></LI>
<P align=center><IMG alt="" src="http://www.guru3d.com/imageview.php?image=13726" border=1><A href="http://www.guru3d.com/article/computex-2008-day-5--the-booth-babes-of-computex/"></A></P>', 1232132132, '1', 0),
(nextval('psc_news_seq'), ' Call of Duty: World at War Revealed', '', '<P>its been confirmed that&nbsp;Call of Duty 5 being called Call of Duty: World at War and is set in the Pacific theatre of WWII. The news comes from subs issues of UK mag games, which landed this morning. </P>
<P>VG247 has an excerpt from the UK mag: "Right, apparently its going to be grittier, as gritty as ANY game out there to quote. The enemy will be scarier and use new tactics. There will be co-op for the first time in a Call of Duty. Also there will be vehicles and squad-based elements to the multiplayer. Formats: PC, PS3, 360 and Wii. The Wii version is being worked on by a separate team within Treyarch." </P>
<P>Also, this is how gritty it is: The opening scene of the first level we are shown is a Japanese commander stubbing a cigarette out in the eye of a prisoner before slitting his throat - the blood splatters and dribbles down the side of the tent you are being held in. He turns towards you to deal out the same treatment but help arrives just in time. Cue a daring level-long escape.</P>
<P>As is now known, the game will be set in the Pacific theatre of World War II.</P>
<P>We have a thread open on COD5 including screenshot scans in our forums <A href="http://forums.guru3d.com/showthread.php?t=263999"><STRONG class=mceVisualAid>right here</STRONG></A>.</P>

<P align=center><IMG alt="" src="http://www.guru3d.com/imageview.php?image=13852" border=2></P> ', 1232132155, '1', 0);

-- --------------------------------------------------------

--
-- Table structure for table psc_settings
--

DROP TABLE IF EXISTS psc_settings;
CREATE TABLE psc_settings (
  site_name varchar(255) NOT NULL default '',
  site_description text NOT NULL default '',
  lang varchar(3) NOT NULL default '',
  date_format varchar(30) NOT NULL default '',
  date_format2 varchar(30) NOT NULL default '',
  date_format3 varchar(30) NOT NULL default '',
  latest_news smallint NOT NULL default '0',
  news_per_page smallint NOT NULL default '0',
  friend_subject varchar(255) NOT NULL default '',
  forum_topics_per_page smallint NOT NULL default '0',
  forum_posts_per_page smallint NOT NULL default '0',
  forum_flood_interval smallint NOT NULL default '0',
  forum_gmt float NOT NULL default '0'
);

--
-- Dumping data for table psc_settings
--

INSERT INTO psc_settings (site_name, site_description, lang, date_format, date_format2, date_format3, latest_news, news_per_page, friend_subject, forum_topics_per_page, forum_posts_per_page, forum_flood_interval, forum_gmt) VALUES
('phpSmartCom', 'phpSmartCom', 'EN', 'l, d, F Y', 'm/d/y', 'd, F Y h:i A', 5, 15, 'Your friend %s has sent this email about news: %s', 30, 20, 1, 4);

-- --------------------------------------------------------

--
-- Table structure for table psc_users
--

DROP TABLE IF EXISTS psc_users;
DROP SEQUENCE IF EXISTS psc_users_seq;
CREATE SEQUENCE psc_users_seq;
CREATE TABLE psc_users (
  uid INT NOT NULL default nextval('psc_users_seq'),
  uname varchar(15) NOT NULL default '',
  upwd varchar(32) NOT NULL default '',
  uemail varchar(50) NOT NULL default '',
  ufirstname varchar(50) NOT NULL,
  ulastname varchar(50) NOT NULL,
  uorg varchar(50) NOT NULL,
  uaddr1 varchar(255) NOT NULL,
  uaddr2 varchar(255) NOT NULL,
  ucity varchar(50) NOT NULL,
  ucountry varchar(50) NOT NULL,
  uzip varchar(20) NOT NULL,
  uphone varchar(20) NOT NULL,
  uregdate INT NOT NULL default '0',
  ulastvisit INT NOT NULL default '0',
  uposts INT NOT NULL default '0',
  ustatus varchar(1) check (ustatus in ('e','b')) NOT NULL default 'e',
  upriv varchar(30) NOT NULL default 'none',
  usignature varchar(255) NOT NULL default '',
  ulocation varchar(30) NOT NULL default '',
  ugmt float NOT NULL default '0',
  uavatar varchar(32) NOT NULL default '',
  ushowemail smallint check (ushowemail in ('1','0')) NOT NULL default '0',
  urankid smallint NOT NULL default '0',
  PRIMARY KEY  (uid)
);

--
-- Dumping data for table psc_users
--

INSERT INTO psc_users (uid, uname, upwd, uemail, ufirstname, ulastname, uorg, uaddr1, uaddr2, ucity, ucountry, uzip, uphone, uregdate, ulastvisit, uposts, ustatus, upriv, usignature, ulocation, ugmt, uavatar, ushowemail, urankid) VALUES
(nextval('psc_users_seq'), 'huy302', '58e2ed40edf5e461f8cd302b0334509c', 'huy302@yahoo.com', 'Huyasdad', 'Nguyen', 'CNU', 'addr 1', 'addr2', 'Gwangju', 'Korea', '500 - 757', '123345456sdf', 1213002216, 0, 0, 'e', 'admin', '', '', 0, 's4uppmdez5cbodgq6czii.jpg', '1', 0),
(nextval('psc_users_seq'), 'wwww', '81dc9bdb52d04dc20036dbd8313ed055', 'ha@asd.asd', 'www', 'www1', '', '', '', '', '', '', '', 1209054745, 0, 0, 'e', 'none', '', '', 0, '', '1', 0),
(nextval('psc_users_seq'), 'aaaa', '58e2ed40edf5e461f8cd302b0334509c', 'aaa@aa.aa', 'aaa', 'aaa1', '', '', '', '', '', '', '', 1209055439, 0, 0, 'e', 'none', '', '', 0, '', '1', 0),
(nextval('psc_users_seq'), 'asdaa', '202cb962ac59075b964b07152d234b70', 'aaa1@aa.aa', 'bbbb', 'bbbb1', '', '', '', '', '', '', '', 1209055627, 0, 0, 'e', 'none', '', '', 0, '', '1', 0),
(nextval('psc_users_seq'), 'huy', 'd9729feb74992cc3482b350163a1a010', 'anhhuy@gmail.com', 'new', 'Nguyen', 'cnu', '123', '123123123', 'HCM', 'VN', '70000', '8448373', 1209308052, 0, 0, 'e', 'none', '', '', 0, 'qyw0ieabivxmb68cyh0i3.jpg', '1', 0),
(nextval('psc_users_seq'), 'BldMaster', '58e2ed40edf5e461f8cd302b0334509c', 'BldMaster@gmail.com', 'Blade', 'Master', 'DotA', 'www.dota-allstars.com', '', 'Ohio', 'US', '33133', '12345647', 1209348773, 0, 0, 'e', 'none', '', '', 0, '2e7yz2b2v82pjx4oekk47.jpg', '1', 0),
(nextval('psc_users_seq'), 'roger', '58e2ed40edf5e461f8cd302b0334509c', 'roger@yahoo.com', 'Roger', 'Federer', 'Swiss', 'nn', 'nn', 'CH', 'CH', '', '', 1209348950, 0, 0, 'e', 'none', '', '', 0, 'g5snirvgorujfazrqvyf2.jpg', '1', 0),
(nextval('psc_users_seq'), 'blah blah', '58e2ed40edf5e461f8cd302b0334509c', 'blah@yahoo.com', 'blah blah', 'lalalal', 'adaf', 'lkjl', 'kjl', 'jl', 'jnl', 'n', 'lkj', 1209632788, 0, 100, 'e', 'none', '', '', 0, 'i20bhv2rz7gf5c4aiwcs7.jpg', '1', 0),
(nextval('psc_users_seq'), 'no9', '58e2ed40edf5e461f8cd302b0334509c', 'no9@gmail.com', 'Mr.', 'No9', 'nnn', 'jhhh', 'lll', 'ioio', '09090', '1212', '123124', 1213002041, 0, 0, 'e', 'none', '', '', 0, '', '1', 0);
